Deploy Package
POST
/api/{version}/vobject/vault_package__v/{package_id}/actions/deployHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
package_id | The id field value of the vault_package__v object record used for deploy. See Import Package above. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
https://myvault.veevavault.com/api/v18.3/vobject/vault_package__v/0PI000000000101/actions/deployResponse
Section link for Response{
"responseStatus": "SUCCESS",
"url": "/api/v18.3/services/jobs/23301",
"job_id": 23301
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
URL- The URL to retrieve the current status of the export job.job_id- The Job ID value is used to retrieve the status and results of the request.